All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Class DefaultFilterQualifierList

    com.sas.dataselectors.filters.DefaultFilterQualifierList

All Implemented Interfaces:
  FilterQualifierListInterface

    public class DefaultFilterQualifierList

implements FilterQualifierListInterface

The default implementation of `FilterQualifierListInterface`, this class provides a list of qualifiers that may be applied to a filter to further refine a query. The list can supply a label that can be displayed to the user to help define the nature of the list.

Field Summary
`static java.lang.String` | `RB_KEY` The prefix used when retrieving properties for this class from the package resource bundle.

Constructor Summary
`DefaultFilterQualifierList()` Constructs a new qualifier list with the default properties.
`DefaultFilterQualifierList(java.util.List qualifierList)` Constructs a new qualifier list with the given contents.
`DefaultFilterQualifierList(java.lang.String label)` Constucts a new qualifier list with the given label.
`DefaultFilterQualifierList(java.lang.String label, java.util.List qualifierList)` Constructs a new qualifier list with the given properties.

Method Summary
`java.util.List` | `getAdditionalQualifierLists()` Returns a list of any additional qualifiers available through this list or `null` if none are available.
`java.util.List` | `getFilterQualifierList()` Returns the list of qualifiers.
`java.lang.String` | `getFilterQualifierListLabel()` Returns the label for this list of qualifiers.
`void` | `setFilterQualifierList(java.util.List qualifierList)` Sets the list of qualifiers.
`void` | `setFilterQualifierListLabel(java.lang.String value)` Sets the label for this list of qualifiers.

Field Detail

### RB_KEY

    public static java.lang.String RB_KEY

  The prefix used when retrieving properties for this class from the package resource bundle.

Constructor Detail

### DefaultFilterQualifierList

    public DefaultFilterQualifierList()

  Constructs a new qualifier list with the default properties.

### DefaultFilterQualifierList

    public DefaultFilterQualifierList(java.lang.String label)

  Constucts a new qualifier list with the given label.

  Parameters:
    `label` - the label for this list of qualifiers

### DefaultFilterQualifierList

    public DefaultFilterQualifierList(java.util.List qualifierList)

  Constructs a new qualifier list with the given contents.

  Parameters:
    `qualifierList` - the list of initial qualifiers

### DefaultFilterQualifierList

    public DefaultFilterQualifierList(java.lang.String label,
                                      java.util.List qualifierList)

  Constructs a new qualifier list with the given properties.

  Parameters:
    `label` - the label for this list of qualifiers
    `qualifierList` - the list of initial qualifiers

Method Detail

### getFilterQualifierListLabel

    public java.lang.String getFilterQualifierListLabel()

  Returns the label for this list of qualifiers.

  Specified by:
    `getFilterQualifierListLabel` in interface `FilterQualifierListInterface`
  Returns:
    the label for this list

### setFilterQualifierListLabel

    public void setFilterQualifierListLabel(java.lang.String value)

  Sets the label for this list of qualifiers.

  Parameters:
    `value` - the new label

### getFilterQualifierList

    public java.util.List getFilterQualifierList()

  Returns the list of qualifiers.

  Specified by:
    `getFilterQualifierList` in interface `FilterQualifierListInterface`
  Returns:
    the list of qualifiers

### setFilterQualifierList

    public void setFilterQualifierList(java.util.List qualifierList)

  Sets the list of qualifiers.

  Parameters:
    `qualifierList` - the new list of qualifiers

### getAdditionalQualifierLists

    public java.util.List getAdditionalQualifierLists()

  Returns a list of any additional qualifiers available through this list or `null` if none are available. This feature is currently unused and this method will always return `null`.

  Specified by:
    `getAdditionalQualifierLists` in interface `FilterQualifierListInterface`
  Returns:
    `null`, additional qualifiers are not supported at this time

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.